﻿@media {
    /* ------------------------------ */
    /* BRAND SPECIFIC STYLES */
    /* ------------------------------ */

    /* -- */
    .brand_style_1 { display:grid; grid-template-columns:1fr 1fr; gap:var(--spacing-4L); align-items:center; }
    .brand_style_1 .body { padding:var(--spacing-4L) 0px; }
    .brand_style_1 img { display:block; margin:0px; width:100%; height:100%; object-fit:contain; }

    .brand_style_1.image_left_side > div:nth-child(1) { order:2; }
    .brand_style_1.image_left_side > div:nth-child(2) { order:1; }

    /* -- */
    .brand_header h1 { margin-bottom:var(--spacing-1S); font-size:var(--font-size-0); font-weight:var(--font-weight-bold); text-transform:uppercase; letter-spacing:1px; }
    .brand_header h2 { margin-top:0px; margin-bottom:var(--spacing-0); width:50%; font-size:var(--font-size-3L); }
    .brand_header.full_row h2 { width:100%; }

    /* -- */
    .brand_background_blue { color:var(--color-white); background-color:var(--color-blue); }
    .brand_background_blue h1,
    .brand_background_blue h2,
    .brand_background_blue h3,
    .brand_background_blue h4, 
    .brand_background_blue h5 { color:var(--color-white); }

    .brand_background_blue a { color:var(--color-green); }
    .brand_background_blue a:hover,
    .brand_background_blue a:focus { color:var(--color-dark-green); }

    .brand_background_blue .input_button,
    .brand_background_blue .link_as_button { color:var(--color-white); background-color:var(--color-green); border:1px var(--color-green) solid; }

    .brand_background_blue .input_button:hover,
    .brand_background_blue .input_button:focus,
    .brand_background_blue .link_as_button:hover,
    .brand_background_blue .link_as_button:focus { color:var(--color-white); background-color:transparent; border:1px var(--color-white) solid; }

    /* -- */
    .brand_background_green { color:var(--color-blue); background-color:var(--color-green); }
    .brand_background_green h1,
    .brand_background_green h2,
    .brand_background_green h3,
    .brand_background_green h4, 
    .brand_background_green h5 { color:var(--color-blue); }

    .brand_background_green a { color:var(--color-black); }
    .brand_background_green a:hover,
    .brand_background_green a:focus { color:var(--color-dark-blue); }

    .brand_background_green .input_button,
    .brand_background_green .link_as_button { color:var(--color-white); background-color:var(--color-blue); border:1px var(--color-blue) solid; }

    .brand_background_green .input_button:hover,
    .brand_background_green .input_button:focus,
    .brand_background_green .link_as_button:hover,
    .brand_background_green .link_as_button:focus { background-color:transparent; border:1px var(--color-blue) solid;  }

    /* -- */
    .brand_background_red { color:var(--color-white); background-color:var(--color-red); }
    .brand_background_red h1,
    .brand_background_red h2,
    .brand_background_red h3,
    .brand_background_red h4, 
    .brand_background_red h5 { color:var(--color-white); }

    .brand_background_red .input_button:hover,
    .brand_background_red .input_button:focus,
    .brand_background_red .link_as_button:hover,
    .brand_background_red .link_as_button:focus { color:var(--color-white); background-color:transparent; border:1px var(--color-red) solid;  }

    /* -- */
    .brand_background_yellow { color:var(--color-white); background-color:var(--color-yellow); }
    .brand_background_yellow h1,
    .brand_background_yellow h2,
    .brand_background_yellow h3,
    .brand_background_yellow h4, 
    .brand_background_yellow h5 { color:var(--color-white); }

    /* -- */
    .brand_background_orange { color:var(--color-white); background-color:var(--color-orange); }
    .brand_background_orange h1,
    .brand_background_orange h2,
    .brand_background_orange h3,
    .brand_background_orange h4, 
    .brand_background_orange h5 { color:var(--color-white); }

    /* -- */
    .brand_directions,
    .brand_directions.green_arrow:hover,
    .brand_directions.green_arrow:focus { display:inline-block; padding-left:var(--font-size-0); background-position:left center; background-size:var(--font-size-0); background-repeat:no-repeat; background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'><path fill='%23b6ccc2' d='M128 252.6C128 148.4 214 64 320 64C426 64 512 148.4 512 252.6C512 371.9 391.8 514.9 341.6 569.4C329.8 582.2 310.1 582.2 298.3 569.4C248.1 514.9 127.9 371.9 127.9 252.6zM320 320C355.3 320 384 291.3 384 256C384 220.7 355.3 192 320 192C284.7 192 256 220.7 256 256C256 291.3 284.7 320 320 320z'/></svg>");}
    
    /* for events and offers */
    ul.brand_box_list { margin-top:var(--spacing-2L); grid-template-columns:repeat(3, 1fr); gap:var(--spacing-1L); }
    ul.brand_box_list li {}

    ul.brand_box_list .photo_box { position:relative; background-color:var(--color-blue); background-size:30%; background-position:right center; background-repeat:repeat-y; background-image:url(https://eu2allwebext.blob.core.windows.net/kentlands/www/resources/images/common/other/i_k_pattern_orange_cyan.png);}
    ul.brand_box_list li.tenant_type_1 .photo_box { background-color:var(--color-red); background-image:url(https://eu2allwebext.blob.core.windows.net/kentlands/www/resources/images/common/other/i_k_pattern_red_cyan.png);}
    ul.brand_box_list li.tenant_type_2 .photo_box { background-color:var(--color-green); background-image:url(https://eu2allwebext.blob.core.windows.net/kentlands/www/resources/images/common/other/i_k_pattern_yellow_cyan.png); }

    ul.brand_box_list .photo_box { position:relative; background-color:var(--color-blue); }

    ul.brand_box_list .photo_box img { display:block; width:100%; aspect-ratio: 1/1; object-fit:cover; }

    ul.brand_box_list .content_box .body { color:var(--color-black); padding:var(--spacing-0); background-color:var(--color-white); }
    ul.brand_box_list .content_box .body h2 { margin-top:0px; color:var(--color-black); font-size:var(--font-size-1S); }
    ul.brand_box_list .content_box .body h3 { color:var(--color-black); font-size:var(--font-size-1S); }
    ul.brand_box_list .content_box .body img { width:100%; }

    ul.brand_box_list .content_box .body .store_name { margin:0px 0px var(--spacing-2S) 0px; font-size:var(--font-size-3S); text-transform:uppercase; letter-spacing:1px; }
    ul.brand_box_list .content_box .body .store_name a { color:var(--color-pink); }
    ul.brand_box_list .content_box .body .store_name a:hover,
    ul.brand_box_list .content_box .body .store_name a:focus { color:var(--color-dark-pink); }

    ul.brand_box_list .content_box .body .details { display:none; margin-top:var(--spacing-1S); padding-top:var(--spacing-1S); font-size:var(--font-size-2S); border-top:1px var(--color-gray) dashed; }
    ul.brand_box_list .content_box .body .details > ul { padding-left:var(--font-size-1S); }

    /* used in about and leasing */
    .brand_split_group { gap:var(--spacing-5L); }
    .brand_split_group > div { position:relative; }
    .brand_split_group > div:nth-child(2) img { display:block; width:100%; }

    .brand_split_group.image_left > div:nth-child(1) img { display:block; width:100%; }

    /* -- */
    .brand_k_graphic { position:absolute; display:block; height:50vh; top:0px; left:0px; bottom:0px; z-index:1; }
    .brand_k_graphic_on_right .brand_k_graphic { top:-24vh; right:0px; left:initial }
    .brand_k_graphic_on_right .brand_split_group > div:nth-child(2) { padding-top:25vh; }

    .brand_k_graphic_on_left .brand_k_graphic { top:-24vh; right:initial; }
    .brand_k_graphic_on_left .brand_split_group > div:nth-child(1) { padding-top:25vh; }

}

@media (max-width:1600px) {

}

@media (max-width:1400px) {
    
}

@media (max-width:1200px) {

}

@media (max-width:1000px) {

}

@media (max-width:900px) {
    .brand_style_1 { gap:var(--spacing-3L); }
}

@media (max-width:760px) {
    .brand_style_1 .body { padding:var(--spacing-2L) 0px}
}

@media (max-width:600px) {

}